<?php session_start();


function mascara($val, $mask)
{
// Use assim 	
//mascara($cnpj,'##.###.###/####-##');
//mascara($cpf,'###.###.###-##');
//mascara($cep,'#####-###');
//mascara($data,'##/##/####');
//mascara($dataHora,'##/##/#### ##:##');
//mascara($telefone,'(##)####-####');
	
 $maskared = '';
 $k = 0;
 for($i = 0; $i<=strlen($mask)-1; $i++)
 {
 if($mask[$i] == '#')
 {
 if(isset($val[$k]))
 $maskared .= $val[$k++];
 }
 else
 {
 if(isset($mask[$i]))
 $maskared .= $mask[$i];
 }
 }
 return $maskared;
}

Function Diferenca($data1, $data2="",$tipo=""){ 
if($data2==""){ 
$data2 = date("d/m/Y H:i"); 
} 

if($tipo==""){ 
$tipo = "h"; 
} 

for($i=1;$i<=2;$i++){ 
${"dia".$i} = substr(${"data".$i},0,2); 
${"mes".$i} = substr(${"data".$i},3,2); 
${"ano".$i} = substr(${"data".$i},6,4); 
} 

$segundos = mktime(0,0,0,$mes2,$dia2,$ano2)-mktime(0,0,0,$mes1,$dia1,$ano1); 

switch($tipo){ 

 case "m": $difere = $segundos/60;    break; 
 case "H": $difere = $segundos/3600;    break; 
 case "h": $difere = round($segundos/3600);    break; 
 case "D": $difere = $segundos/86400;    break; 
 case "d": $difere = round($segundos/86400);    break; 
  
} 
return $difere; 
} 
 

function UltimoDia($mes,$ano)
{
  $dias = cal_days_in_month(CAL_GREGORIAN, $mes, $ano);
  $ultimo = mktime(0, 0, 0, $mes, $dias, $ano); 
  $dia = date("j", $ultimo);
  $dia_semana = date("w", $ultimo);
  
  // domingo = 0;
  // sábado = 6;
  // verifica sábado e domingo
  if($dia_semana == 0)
  {
    $dia--;
    $dia--;
  }
  if($dia_semana == 6)
    $dia--;
  $ultimo = mktime(0, 0, 0, $mes, $dia, $ano);
  $ultimo=date("d/m/Y", $ultimo);
  return $ultimo;
}

function SomarData($data, $dias, $meses, $ano)
{
   $data = explode("/", $data);
   $newData = date("d/m/Y", mktime(0, 0, 0, $data[1] + $meses,
     $data[0] + $dias, $data[2] + $ano) );
  $dia=substr($newData,0,2);
  $mes=substr($newData,3,2);
  $ano=substr($newData,6,4);

  $ultimo = mktime(0, 0, 0, $mes, $dia, $ano); 
  $dia = date("j", $ultimo);
  $dia_semana = date("w", $ultimo);
  
  // domingo = 0;
  // sábado = 6;
  // verifica sábado e domingo
  if($dia_semana == 0)
  {$dia++;}
  if($dia_semana == 6)
  {
    $dia++;
    $dia++;
  }	
  $ultimo = mktime(0, 0, 0, $mes, $dia, $ano);
  $ultimo=date("d/m/Y", $ultimo);
  return $ultimo;	
}

function DataHoraNormal($dataHora)
{
 $dataHora=substr($dataHora,8,2).substr($dataHora,5,2).substr($dataHora,0,4).substr($dataHora,11,2).substr($dataHora,14,2);
 return  $dataHora;
}

function DataInvertida($DataInvertida)
{
 $DataInvertida=substr($DataInvertida,6,4).substr($DataInvertida,3,2).substr($DataInvertida,0,2);
 return  $DataInvertida;
}

function DataNormal($DataNormal)
{
 $Data=substr($DataNormal,6,2).substr($DataNormal,4,2).substr($DataNormal,0,4);
 return  $Data;
}


function DiaSemana($dia)
{
$diasemanapt = array(
'Monday'=>'Segunda',
'Tuesday'=>'Terça  ',
'Wednesday'=>'Quarta ',
'Thursday'=>'Quinta ',
'Friday'=>'Sexta  ',
'Saturday'=>'Sábado ',
'Sunday'=>'Domingo');
return ($diasemanapt[$dia]);

}

 function CodigoDeBarra($valor){
 
 $fino = 1;
 $largo = 3;
 $altura = 50;
 
   $barcodes[0] = "00110" ;
   $barcodes[1] = "10001" ;
   $barcodes[2] = "01001" ;
   $barcodes[3] = "11000" ;
   $barcodes[4] = "00101" ;
   $barcodes[5] = "10100" ;
   $barcodes[6] = "01100" ;
   $barcodes[7] = "00011" ;
   $barcodes[8] = "10010" ;
   $barcodes[9] = "01010" ;
   for($f1=9;$f1>=0;$f1--){
     for($f2=9;$f2>=0;$f2--){
       $f = ($f1 * 10) + $f2 ;
       $texto = "" ;
       for($i=1;$i<6;$i++){ 
         $texto .=  substr($barcodes[$f1],($i-1),1) . substr($barcodes[$f2],($i-1),1);
       }
       $barcodes[$f] = $texto;
     }
   }
 
 
 //Desenho da barra
 
 
 //Guarda inicial
 ?>
 <img src=./arquivos/P.gif width=<?=$fino?> height=<?=$altura?> border=0><img 
 src=./arquivos/B.gif width=<?=$fino?> height=<?=$altura?> border=0><img 
 src=./arquivos/P.gif width=<?=$fino?> height=<?=$altura?> border=0><img 
 src=./arquivos/B.gif width=<?=$fino?> height=<?=$altura?> border=0><img 
 <?php
 $texto = $valor ;
 if((strlen($texto) % 2) <> 0){
 	$texto = "0" . $texto;
 }
 
 // Draw dos dados
 while (strlen($texto) > 0) {
   $i = round(esquerda($texto,2));
   $texto = direita($texto,strlen($texto)-2);
   $f = $barcodes[$i];
   for($i=1;$i<11;$i+=2){
     if (substr($f,($i-1),1) == "0") {
       $f1 = $fino ;
     }else{
       $f1 = $largo ;
     }
 ?>
     src=./arquivos/P.gif width=<?=$f1?> height=<?=$altura?> border=0><img 
 <?php
     if (substr($f,$i,1) == "0") {
       $f2 = $fino ;
     }else{
       $f2 = $largo ;
     }
 ?>
     src=./arquivos/B.gif width=<?=$f2?> height=<?=$altura?> border=0><img 
 <?php
   }
 }
 
 // Draw guarda final
 ?>
 src=./arquivos/P.gif width=<?=$largo?> height=<?=$altura?> border=0><img 
 src=./arquivos/P..gif width=<?=$fino?> height=<?=$altura?> border=0><img 
 src=./arquivos/P..gif width=<?=1?> height=<?=$altura?> border=0> 
   <?php
 } //Fim da função


function LimiteAgenda()
{
date_default_timezone_set('America/Sao_Paulo');
$dia = (date(w));
$hora = date('H:i:s');
$diasDasemana = array (1 => "Segunda-Feira",2 => "Terça-Feira",3 => "Quarta-Feira",4 => "Quinta-Feira",5 => "Sexta-Feira",6 => "Sábado",0 => "Domingo");
/*
0 -> domingo
1 -> segunda
2 -> terca
3 -> quarta
4 -> quinta
5 -> sexta
6 -> Sábado
*/
include("lib/config.php");


if ($PadraoLimiteAgenda == 1)
	{
		$Limite= 2;
		if ($dia== 5) // Sexta-feira
		{$Limite=$Limite+2;}
		if ($dia== 6) //Sábado
		{$Limite=$Limite+1;}
	}
else
if ($PadraoLimiteAgenda == 2)
	{
	$Limite= 1;
	if ($dia== 0) //Domingo
		{$Limite=$Limite+1;}
	else	
	if ($dia== 6) //Sábado
	{$Limite=$Limite+1;}
	else
	if ($hora >= '15:00:00')
	{++$Limite;
 	 if ($dia== 5) // Sexta-feira
	 {$Limite=$Limite+1;}
    }
	}
else
	{$Limite= 2;}

return $Limite;	
}


?>